package vip.xiaonuo.coldchain.core.cache.monitordevice;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/19 17:34:58
 */

import java.util.List;
import java.util.Set;

/**
 * 缓存服务接口，定义缓存操作的基本方法
 */
public interface MonitorDeviceCacheService {

    void cacheDevice(String deviceCode, String deviceModel);

    String getDeviceModel(String deviceCode);

    boolean exists(String deviceCode);

    void removeDevice(String deviceCode);

    void removeBatch(String pattern);

    Set<String> getAllDeviceCodes();

    List<String> getAllDeviceModels();
}
